package com.engine.kq.service.impl;

import java.util.Map;
import weaver.hrm.User;
import com.engine.core.impl.Service;
import com.engine.kq.cmd.schedulesignimport.*;
import com.engine.kq.service.KQScheduleSignImportService;


public class KQScheduleSignImportServiceImpl extends Service implements KQScheduleSignImportService {

	@Override
	public Map<String, Object> getImportForm(Map<String, Object> params, User user) {
		return commandExecutor.execute(new GetImportFormCmd(params, user));
	}
	
	@Override
	public Map<String, Object> saveImport(Map<String, Object> params, User user) {
		return commandExecutor.execute(new SaveImportCmd(params, user));
	}

	@Override
	public Map<String, Object> getImportSetForm(Map<String, Object> params, User user) {
		return commandExecutor.execute(new GetImportSetFormCmd(params, user));
	}
	
	@Override
	public Map<String, Object> synData(Map<String, Object> params, User user) {
		return commandExecutor.execute(new SynDataCmd(params, user));
	}

	@Override
	public Map<String, Object> saveImportSet(Map<String, Object> params, User user) {
		return commandExecutor.execute(new SaveImportSetCmd(params, user));
	}

	@Override
	public Map<String, Object> uploadData(Map<String, Object> params, User user) {
		return commandExecutor.execute(new UpLoadDataCmd(params, user));
	}

	@Override
	public Map<String, Object> synDingTalkData(Map<String, Object> params) {
		return commandExecutor.execute(new SynDingTalkDataCmd(params));
	}
}
